(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			infos: {
				phone: "",
				password: "",
				cofirmPassword: "",
				imgCode: "",
				phoneCode: ""
			},
			codeValue: "点击获取",
			codeNum: 120,
			codeDisab: false,
			regDisab: true,
			keyVlue:Math.random() * 100
		},
		methods: {
			getPhoneCode: function() {
				function getYZM() {
					var top = document.getElementById("yzmImg");
					console.log(app.keyVlue);
					top.style['background-image'] = "url(" + baseUrl + "authImage.do?v=" + app.keyVlue + ")";
				}
				app.codeDisab = true;
				NetUtil.ajax("checkAuthCode.do", {
					pAuthCode: app.infos.imgCode,
					key:app.keyVlue
				}, function(data) {
					if(data == "0") {
						NetUtil.ajax("code4forget.do", {
							mobile: app.infos.phone
						}, function(r) {
							if(r) {
								mui.alert("短信发送成功！", function() {
									var timer = null;
									var t = app.codeNum;
									start();

									function start() {
										t--;
										timer = setTimeout(start, 1000);
										app.codeValue = t + "S";
										if(t <= 0) {
											app.codeValue = "重新获取";
											app.codeDisab = false;
											clearTimeout(timer);
										}
									}
								});
							} else {
								app.codeDisab = false;
								mui.alert(r.resDesc);
							}
						});
					} else {
						mui.alert("图形验证码不正确，请重新输入！");
						app.codeDisab = false;
						app.infos.imgCode = "";
						getYZM();
					}
				});
			},
			forgetActive: function(event) {
				if(this.infos.password && this.infos.cofirmPassword && this.infos.phoneCode && this.infos.imgCode) {
					return false;
				} else {
					return true;
				}
			}
		},
		created: function(event) {
			/*
			 * 获取上个页面的电话号码
			 */
			this.infos.phone = localStorage.getItem("phoneNumber");
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				/*
				 * 获取验证码
				 */
				function getYZM() {
					var top = document.getElementById("yzmImg");
					top.style['background-image'] = "url(" + baseUrl + "authImage.do?v=" + app.keyVlue + ")";
				}
				getYZM();
				$j("#yzmImg").on("click", function() {
					getYZM();
				});
				/*
				 * 找回密码
				 */
				$j("#forgetForm").Validform({
					tiptype: function(msg, o, cssctl) {
						if(!(msg == "")) {
							mui.alert(msg);
						}
					}, //提示信息类型
					btnSubmit: ".nextStep",
					tipSweep: true,
					datatype: extdatatype, //扩展验证类型
					//showAllError:true,//提交前验证显示所有错误
					timeout: 1000,
					ajaxPost: true,
					beforeCheck: function() {},
					beforeSubmit: function() {
						var subData = {
							personalPhone: app.infos.phone,
							checkCode: app.infos.imgCode,
							phoneCheckCode: app.infos.phoneCode,
							newPassword: hex_sha1(app.infos.password),
							confirmPassword: hex_sha1(app.infos.cofirmPassword),
							key:app.keyVlue
						};
						NetUtil.ajax(
							"reset/resetPassword.do", subData,
							function(data) {
								if(data.resCode == 0) {
									mui.alert("请回到登录页面进行登录", "密码修改成功", "去登录", function() {
										localStorage.setItem("toIndexPhoneNumber", app.infos.phone);
										mui.openWindow({
											url: "login.html",
											id: '',
											styles: {
												popGesture: 'close',
												top: 0, //新页面顶部位置  
												bottom: 0 //新页面底部位置  
											},
											extras: {},
											createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
											show: {
												autoShow: true, //页面loaded事件发生后自动显示，默认为true
												aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
												duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
												event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
												extras: {} //窗口动画是否使用图片加速
											},
											waiting: {
												autoShow: true, //自动显示等待框，默认为true
												title: '加载中', //等待对话框上显示的提示内容
												options: {
													//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
													//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
												}
											}
										})
									});
								} else {
									mui.alert(data.resDesc);
								}
							}
						);
					}
				});
			});
		}
	});
}());