
/**
 * 设置服务器地址
 */
var baseUrl="http://120.55.58.27/"; //正式环境
//var baseUrl="http://192.168.2.50:15000/";//本地
//var baseUrl="http://mycdsxlc.f3322.net:8040/foreground-web/"; //公司测试服务器


var baseFtp = "";//文件服务器地址
var baseUrlWEB = baseUrl;
var baseUrlAPP = baseUrl;
var baseProJectApp = baseUrl;
/**
 * 防篡改js封装
 */
var NetUtil = {
    postRequest: function (str_Url, json_Data,sign,fnOnSuccess,fnBefore, fnComplete) {
    	json_Data.sign = sign;
        if (str_Url) {
        	if(mui.os.plus == undefined){
        		mui.ajax({
	                url: baseUrlWEB + str_Url,
				    data: json_Data,
				    async: true,
				    dataType: 'json',
				    type: 'post',
				    timeout: 28000,
				   /* headers:{'Access-Control-Allow-Origin':'*'},*/
	                beforeSend: fnBefore,
				    success: fnOnSuccess,
				    error: function (XMLHttpRequest, textStatus, errorThrown) {
	                	if (XMLHttpRequest.status==600||XMLHttpRequest.status==601){
							localStorage.removeItem("memberId");
							localStorage.removeItem("token");
	                		mui.openWindow({url:baseProJectApp + "index.html"});
	                	}else{
		                	return;  
	                	}
	                }, 
	                complete:fnComplete
	            });
        	}else{
        		mui.ajax({
	                url: baseUrlAPP + str_Url,
				    data: json_Data,
				    async: true,
				    dataType: 'json',
				    crossDomain: true, //强制使用5+跨域
				    type: 'post',
				    timeout: 28000,
				    headers:{'Access-Control-Allow-Origin':'*'},
	                beforeSend: fnBefore,
				    success: fnOnSuccess,
				    error: function (XMLHttpRequest, textStatus, errorThrown) {
	                	if (XMLHttpRequest.status==600||XMLHttpRequest.status==601){
							localStorage.removeItem("memberId");
							localStorage.removeItem("token");
	                		mui.openWindow({url:baseProJectApp + "index.html"});
	                	}else{
		                	return;  
	                	}
	                }, 
	                complete:fnComplete
	            });
        	}
        } else {
            mui.alert("请求地址无效");
        }
    },
    getRequest: function (str_Url, json_Data,sign,fnOnSuccess,fnBefore, fnComplete) {
    	json_Data.sign = sign;
        if (str_Url) {
        	if(mui.os.plus == undefined){
        		mui.ajax({
	                url: baseUrlWEB + str_Url,
				    data: json_Data,
				    async: true,
				    dataType: 'json',
				    type: 'get',
				    timeout: 28000,
	                beforeSend: fnBefore,
				    success: fnOnSuccess,
				    error: function (XMLHttpRequest, textStatus, errorThrown) {
	                	if (XMLHttpRequest.status==600||XMLHttpRequest.status==601){
							localStorage.removeItem("memberId");
							localStorage.removeItem("token");
	                		mui.openWindow({url:baseProJectApp + "index.html"});
	                	}else{
		                	return;  
	                	}
	                }, 
	                complete:fnComplete
	            });
        	}else{
	            mui.ajax({
	                url: baseUrlAPP + str_Url,
				    data: json_Data,
				    async: true,
				    dataType: 'json',
				    crossDomain: true, //强制使用5+跨域
				    type: 'get',
				    timeout: 28000,
	                beforeSend: fnBefore,
				    success: fnOnSuccess,
				    error: function (XMLHttpRequest, textStatus, errorThrown) {
	                	if (XMLHttpRequest.status==600||XMLHttpRequest.status==601){
							localStorage.removeItem("memberId");
							localStorage.removeItem("token");
	                		mui.openWindow({url:baseProJectApp + "index.html"});
	                	}else{
		                	return;  
	                	}
	                },
	                complete:fnComplete
	            });
        	}
        } else {
            mui.alert("请求地址无效.");
        }
    },
    //创建秘钥
    createSign: function (params) {
        if (params) {
            var code ="";
            var keys = [];
            for (var x in params) {
                keys.push(x);
            }
            keys.sort();
            for (var i = 0; i < keys.length; i++) {
                var key = keys[i];
                code += key;
                if(params[key]!=null){
                	code += params[key];
                }
            }
           
            var md5_value = hex_md5(code).toUpperCase();
            return md5_value;
        }
        return null;
    },
    //签名（复杂算法用）
    signData: function (dataJson) {
        var args =JSON.stringify(dataJson);
        var sign = NetUtil.createSign(args);
        return sign;
    },
    ajax: function (url,data,fnOnSuccess,fnBefore, fnComplete,type) {
    	/*if(url.indexOf("login") != -1 || url.indexOf("register") != -1 || url.indexOf("reset") != -1){
    	}*/
    		data = NetUtil.setToken(data);
//      var sign = NetUtil.signData(data);//复杂算法
        var sign = NetUtil.createSign(data);//简单算法
		data.random = Math.random();
        if(type == "undefined" || type == "" || type== undefined){
	        NetUtil.postRequest(url,data,sign, fnOnSuccess,fnBefore, fnComplete);
        }else{
	        NetUtil.getRequest(url,data,sign, fnOnSuccess,fnBefore, fnComplete);
        }
    },
    setToken: function(data){
    	data.check="no";
    	if(localStorage.memberId!=null && localStorage.memberId!=undefined){
    		data.memberId = localStorage.memberId;
    	}
    	if(localStorage.token !=null && localStorage.token != undefined){
    		data.token = localStorage.token;
    	}
    	return data;
    }
};