(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			bankId: "",
			bankNum: "",
			bankNum1: "",
			bankPhone: "",
			banks: null
		},
		methods: {

		},
		created: function() {
			/*
			 * 选择银行卡
			 */
			function selectFunc(data) {
				var cityPicker3 = new mui.PopPicker();
				cityPicker3.setData(data);
				var cardPicker = document.getElementById('cardPicker');
				var cardResult = document.getElementById('cardResult');
				cardPicker.addEventListener('tap', function(event) {
					cityPicker3.show(function(items) {
						cardResult.value = items[0].text;
						app.bankId = items[0].value;
					});
				}, false);
			}
			NetUtil.ajax("personalcredit/bankDic.do", {}, function(r) {
				r.data.forEach(function(data) {
					data.value = data.bankId;
					data.text = data.bankName;
				});
				app.banks = r.data;
				selectFunc(app.banks);

			});

			NetUtil.ajax("personalcredit/queryBankCard.do", {}, function(r) {
				app.bankNum = r.data.AccountNo;
				app.bankNum1 = r.data.AccountNo;
				app.bankPhone = r.data.bankCardPhone;
				app.bankId = r.data.BankId;
				if(app.bankId != undefined) {
					$j.each(app.banks, function(index, data) {
						if(data.value == app.bankId) {
							document.getElementById('cardResult').value = "" + data.text;
							return;
						}
					});
				}
			});
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				var req = GetRequest();
				var stateSign = '';

				/*
				 * 下一步
				 */
				$j("#nextForm").Validform({
					tiptype: function(msg, o, cssctl) {
						if(!(msg == "")) {
							mui.alert(msg);
						}
					}, //提示信息类型
					btnSubmit: ".apply_btn",
					tipSweep: true,
					datatype: extdatatype, //扩展验证类型
					//showAllError:true,//提交前验证显示所有错误
					timeout: 1000,
					ajaxPost: true,
					beforeCheck: function() {},
					beforeSubmit: function() {
						var subData = {
							bankCardPhone: app.bankPhone,
							accountNo: app.bankNum,
							bankId: app.bankId,
							bankAddr: app.bankId
						}
						NetUtil.ajax("personalcredit/alterBankCard.do", subData, function(r) {
							NetUtil.ajax("bill/getCollectionStatu.do", {
								memberLoanId: req.memberLoanId
							}, function(r1) {
								stateSign = r1.data;
								if(stateSign == 0) {
									//连连支付 签约授权支付接口
									LLcollection();
								} else {
									mui.fire(plus.webview.getWebviewById("../limit/limit.html"), "quest", {});
									mui.back();
								}
							});
						});
					}
				});

				function LLcollection() {
					var btnArray = ['是', '否'];
					mui.confirm('银行卡代扣签约，签约后还款日自动扣款，是否进行签约？（如未签约，将无法放款至您的银行卡） ', '提示', btnArray, function(e) {
						if(e.index != 1) {
							NetUtil.ajax("bill/collection.do", {
								memberId: localStorage.memberId
							}, function(r) {
								/* document.getElementById("req_data").value =r.data.req_data;
								document.getElementById("form1").value =r.data.submitUrl; */
								$j("#req_data").val(r.data.req_data);
								$j("#form1").attr("action", r.data.submitUrl).submit();
							});
							//location.href ="../bill/LLcollectiontest.jsp?memberId=" + localStorage.memberId;
						} else {
							mui.fire(plus.webview.getWebviewById("../limit/limit.html"), "quest", {});
							mui.back();
						}
					});
				}
			});
		}
	});
}());