(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			list: null,
			infos: null,
			totalPage: "",
			currentPage: 0
		},
		methods: {},
		created: function() {
			var req = GetRequest();
			NetUtil.ajax("personalcredit/loanRepayDetail.do", {
				memberLoanId: req.id
			}, function(r) {
				app.list = r.data;
				app.totalPage = app.list[0].term;
				if(app.totalPage != 0) {
					app.infos = app.list[app.currentPage];
				}
			});
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {

			});
		},
		filters: {
			toFixed2: function(num) {
				var res = parseFloat(num).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			},
			dateDay: function(d) {
				var arr = d.split(" ");
				return arr[0];
			}
		},
		updated: function() {
			var swiper = new Swiper('.swiper-container', {
				nextButton: '.swiper-btn-next',
				prevButton: '.swiper-btn-prev',
				paginationClickable: true,
				spaceBetween: 30,
				onTransitionEnd: function(swiper) {
					app.currentPage = swiper.activeIndex;
					app.infos = app.list[swiper.activeIndex];
					console.log(swiper.activeIndex) //切换结束时，告诉我现在是第几个slide
				}
			});
		}
	});
}());