var appPath = baseUrl;
var uploadConfig = {
	upsize: 0,
	upimagetype: "",
	upsofttype: "",
	upmediatype: ""
}

function getImage(filePicker, fileListObj, imgNum, imgWidth, imgHeight) { //拍照
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			uploadHead(s,filePicker, fileListObj, imgNum, imgWidth, imgHeight); /*上传图片*/
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.png",format:"png"
	})
}
//本地相册选择 
function galleryImg(filePicker, fileListObj, imgNum, imgWidth, imgHeight) {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
				root.getFile("head.png", {}, function(file) {
					//文件已存在 
					file.remove(function() {
						console.log("file remove success");
						entry.copyTo(root, 'head.png', function(e) {
								var path = e.fullPath + "?version=" + new Date().getTime();
								uploadHead(path,filePicker, fileListObj, imgNum, imgWidth, imgHeight); /*上传图片*/
								//变更大图预览的src 
								//目前仅有一张图片，暂时如此处理，后续需要通过标准组件实现 
							},
							function(e) {
								console.log('copy image fail:' + e.message);
							});
					}, function() {
						console.log("delete image fail:" + e.message);
					});
				}, function() {
					//文件不存在 
					entry.copyTo(root, 'head.png', function(e) {
							var path = e.fullPath + "?version=" + new Date().getTime();
							uploadHead(path,filePicker, fileListObj, imgNum, imgWidth, imgHeight); /*上传图片*/
						},
						function(e) {
							console.log('copy image fail:' + e.message);
						});
				});
			}, function(e) {
				console.log("get _www folder fail");
			})
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(a) {}, {
		filter: "image"
	})
};
//上传图片 
function uploadHead(imgPath,filePicker, fileListObj, imgNum, imgWidth, imgHeight) {
	var image = new Image();
	image.src = imgPath;
	fileListObj.removeClass("upload-state-done");
	fileListObj.html("");//上传前清空，只能上传一张图片
	fileListObj.append(image);
	fileListObj.find("img").css({"width":"100%","height":"100%"});
	fileListObj.append('<div class="file-panel"><p class="waiting" style="position:absolute;bottom:0;color:red;width:100%;text-align:center;font-size:0.8rem;background-color:rgba(0,0,0,0.2)">上传中，请稍候···</p><span class="cancel"></span></div>');
	fileListObj.on("tap",".cancel",function(){
		fileListObj.html("");
		fileListObj.removeClass("upload-state-done");
	});
	image.onload = function() {
		var imgData = getBase64Image(image);
		/*在这里调用上传接口*/
		NetUtil.ajax('upload/upload.do', {
			imageBase:imgData
		},
		function(data) {
			fileListObj.find(".waiting").remove();
			fileListObj.addClass("upload-state-done");
			console.log(data.data.sResultInfo+data.data.url);
//			fileListObj.find("img").attr("src",data.data.sResultInfo+data.data.url).css({"width":"100%","height":"100%"});
			fileListObj.append("<input type='text' style='display:none;' class='hidInput' value='"+data.data.url+"'>");
		}); 
		return;
	}
}
//将图片压缩转成base64 
function getBase64Image(img) {
	var canvas = document.createElement("canvas");
	var width = img.naturalWidth;
	var height = img.naturalHeight;
	if(width > height) {
		height = Math.round(height * 600 / width);
		width = 600;
	} else {
		width = Math.round(width * 600 / height);
		height = 600;
	}
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	console.log("width"+width+"height"+height);
	var dataURL = canvas.toDataURL("image/png", 0.92);
	return dataURL.replace("data:image/png;base64,", "");
}
/**
 * 图片上传公共方法
 * 选择图片对应id    filePicker 
 * 图片存放div对象  fileListObj
 * 图片上传个数限制   1或者其他 
 * 图片宽度		  imgWidth;			
 * 图片高度    	  imgHeight 	
 * 服务器返回路径保存的隐藏input元素的对象 inputObj 
 */
function UploadImg(filePicker, fileListObj, imgNum, imgWidth, imgHeight) {
	var piker = '#' + filePicker + '';
	var piker2 = '#a'+filePicker+'';
	$(piker).parent().append("<div id='a"+filePicker+"'></div>");
	$(piker).on("tap",function(){
		if(mui.os.plus) {
			var a = [{
				title: "拍照"
			}];
			plus.nativeUI.actionSheet({
				title: "拍照请横向拍照，手机顶部朝左",
				cancel: "取消",
				buttons: a
			}, function(b) { //actionSheet 按钮点击事件
				switch(b.index) {
					case 0:
						break;
					case 1:
						getImage(filePicker, fileListObj, imgNum, imgWidth, imgHeight); //拍照
						break;
					case 2:
						galleryImg(filePicker, fileListObj, imgNum, imgWidth, imgHeight); //打开相册
						break;
					default:
						break;
				}
			})
		}
		
	});
	return;

};
// 修改图片--参数  图片放置的DIV  图片SRC ID 图片宽width 图片高height

function updateImgs(fileListObj, src, id, imgWidth, imgHeight) {
	var image = new Image();
	image.src = src;
	fileListObj.append(image);
	fileListObj.find("img").css({"width":"100%","height":"100%"});
	fileListObj.append('<div class="file-panel"><p class="waiting" style="position:absolute;bottom:0;color:red;width:100%;text-align:center;font-size:0.8rem;background-color:rgba(0,0,0,0.2)">上传中，请稍候···</p><span class="cancel"></span></div>');
	fileListObj.on("tap",".cancel",function(){
		fileListObj.html("");
		fileListObj.removeClass("upload-state-done");
	});
	fileListObj.find(".waiting").remove();
	fileListObj.addClass("upload-state-done");
//	fileListObj.find("img").attr("src",data.data.sResultInfo+data.data.url).css({"width":"100%","height":"100%"});
	fileListObj.append("<input type='text' style='display:none;' class='hidInput' value='"+src+"'>");
}