var appPath = baseUrl;
var uploadConfig = {
		upsize:0,
		upimagetype:"",
		upsofttype:"",
		upmediatype:""
}

/**
 * 图片上传公共方法
 * 选择图片对应id    filePicker 
 * 图片存放div对象  fileListObj
 * 图片上传个数限制   1或者其他 
 * 图片宽度		  imgWidth;			
 * 图片高度    	  imgHeight 	
 * 服务器返回路径保存的隐藏input元素的对象 inputObj 
 */
function UploadImg(filePicker,fileListObj,imgNum,imgWidth,imgHeight) {
			//上传初始化
			var piker = '#'+filePicker+'';
			var _setting = {
					auto: true,								//选完文件后，是否自动上传。
				    swf: 'plugs/webuploader/Uploader.swf',	//swf文件路径
				    server: appPath+'UpdateBsnLicense',	//文件接收服务端。
				    // 选择文件的按钮。可选。
				    pick: piker,											//内部根据当前运行是创建，可能是input元素，也可能是flash.
				    fileNumLimit: imgNum,		
				    //[可选] [默认值：undefined] 验证单个文件大小是否超出限制, 超出则不允许加入队列。
			        fileSizeLimit: 50*1024*1024,//50M  
			        fileSingleSizeLimit: uploadConfig.upsize||5*1024*1024, //5M  
				    accept: {														//只允许选择图片文件
				        title: 'Images',
				        extensions:uploadConfig.upimagetype.replace(/\./g, "")||'gif,jpg,jpeg,bmp,png,GIF,JPG,JPEG,BMP,PNG',
				        mimeTypes: 'image/*'
				    },
				    resize: false													//不压缩image, 默认如果是jpeg，文件上传前会压缩一把再上传！
				}
	

			//上传初始化
			var uploader = WebUploader.create(_setting);
			
			uploader.on( 'beforeFileQueued', function( file) {	
				
				if(WebUploader.Base.os.android && WebUploader.Base.os.android < 4.4) {
					layer.alert({
						content: '<span class="iconWarm ion-ios-information"></span>安卓系统版本过低,不能进行上传操作!'
					});
					return false;
				};
				//图片类型
				var ext = file.ext;
				var ary1 = _setting.accept.extensions.split(",");
				var ary1Length = ary1.length;
				var aryS = 0;
				for(var a = 0; a < ary1Length; a++) {
					if(ext != ary1[a]) {
						aryS += 1;
					}
				}
				if(ary1Length == aryS) {
					layer.alert("只能上传" + ary1 + "类型的图片");
					return false;
				}
				//新图片
				var newName=file.name;
				//队列内的图片
				var array = uploader.getFiles("complete");

				var arrlength = array.length;
				for (var i=0;i<arrlength;i++){
					if (newName==array[i].name){
						mui.alert("不能上传相同图片");
						return false;
					}
				}
				
				
//				限制图片大小
				var maxSize=_setting.fileSingleSizeLimit;
				var fileSize = file.size;
				
				if (maxSize<fileSize){
					mui.alert("单张图片最大为"+maxSize+"B");
					return false;
				}
				
				
//				限制上传个数
				var max = imgNum;
				var nowNum = fileListObj.find(".file-item").length;
				if (nowNum>=max){
					mui.alert("最多上传"+max+"张");
					return false;
				}
				
				
            });
			
			
			
			// 当有文件添加进来的时候
			uploader.on( 'fileQueued', function( file ) {
			    var $li = $(
			            '<div id="' + file.id + '" class="file-item thumbnail">' +
			                '<img>' +
			               /* '<div class="info">' + file.name + '</div>' +*/
			            '</div>'
			            ),
			    	$del = $del = $('<div class="file-panel"><span class="cancel"></span></div>'),
			        $img = $li.find('img');
			
			
			    // $list为容器jQuery实例
			    $list = fileListObj;
			    $list.append( $li );
			    $del.appendTo( $li );
			    
			    
			    
			    //预览时操作面板显隐
//			    $list.find(".file-item").each(function(){
//			    	$(this).mouseenter(function(){
//						$(this).find(".file-panel").animate({height:20},"fast");
//					}).mouseleave(function(){
//						$(this).find(".file-panel").animate({height:0},"fast");
//					});
//			    });
				
			    //销毁
				$del.on('click', 'span', function() {
					removeFile(file);
				});
				
				// 负责view的销毁
				function removeFile(file) {
					var $li = $('#' + file.id);
					uploader.removeFile(file, true);
					$li.off().find('.file-panel').off().end().remove();
				}
				
			
			    // 创建缩略图
			    // 如果为非图片文件，可以不用调用此方法。
			    // thumbnailWidth x thumbnailHeight 为 100 x 100
			    // 优化retina, 在retina下这个值是2
//		        ratio = window.devicePixelRatio || 1,
				ratio = 1;
		        thumbnailWidth = imgWidth * ratio,
		        thumbnailHeight = imgHeight * ratio,
			    
			    uploader.makeThumb( file, function( error, src ) {
			        if ( error ) {
			            return;
			        }
			        $img.attr( 'src', src );
			    }, thumbnailWidth, thumbnailHeight );
		        
			});
			
			// 文件上传过程中创建进度条实时显示。
			uploader.on( 'uploadProgress', function( file, percentage ) {
			    var $li = $( '#'+file.id ),
			        $percent = $li.find('.progress span');
				
			    // 避免重复创建
			    if ( !$percent.length ) {
			        $percent = $('<p class="progress"><span></span></p>')
			                .appendTo( $li )
			                .find('span');
			    }
			    $percent.css( 'width', percentage * 100 + '%' );
			});
			
			// 文件上传成功，给item添加成功class, 用样式标记上传成功。
			uploader.on( 'uploadSuccess', function( file,json ) {
				var result = json._raw;
				uploadUrl=result.split(",")[1].replace(/\\/g,'/');
				uploadUrl1=result.split(",")[0] + uploadUrl;
			    $( '#'+file.id ).addClass('upload-state-done');
				var html = "<input type='hidden' class='hidInput' value='"+uploadUrl+"'>";
				$( '#'+file.id ).append(html);
				console.log(uploadUrl1);
				$( '#'+file.id ).find("img").attr( 'src', uploadUrl1).css({width:imgWidth,height:imgHeight});
			});
			
			// 文件上传失败，显示上传出错。
			uploader.on( 'uploadError', function( file ) {
			    var $li = $( '#'+file.id ),
			        $error = $li.find('div.error');
			
			    // 避免重复创建
			    if ( !$error.length ) {
			        $error = $('<div class="error"></div>').appendTo( $li );
			    }
			
			    $error.text('上传失败');
			});
			
			// 完成上传完了，成功或者失败，先删除进度条。
			uploader.on( 'uploadComplete', function( file ) {
			    $( '#'+file.id ).find('.progress').remove();
			});
			
};
// 修改图片--参数  图片放置的DIV  图片SRC ID 图片宽width 图片高height

function updateImgs(fileListObj,src,id,imgWidth,imgHeight){
	 var $li = $(
	            '<div id="' + id + '" class="file-item thumbnail">' +
	                '<img>' +
	                /*'<div class="info">' +name+ '</div>' +*/
	            '</div>'
	            ),
	    	$del = $('<div class="file-panel"><span class="cancel"></span></div>'),
	        $img = $li.find('img');
	 		$img.attr('src',src);
	 		$img.css({
	 			"width":imgWidth,
	 			"height":imgHeight
	 		});
	 		var $html =$("<input type='hidden' class='hidInput' value='"+src+"'>");
		    // $list为容器jQuery实例
		    $list = fileListObj;
		    $list.append( $li );
		    $del.appendTo( $li );
		    $html.appendTo($li);
		    //预览时操作面板显隐
//		    $list.find(".file-item").each(function(){
//		    	$(this).mouseenter(function(){
//					$(this).find(".file-panel").animate({height:20},"fast");
//				}).mouseleave(function(){
//					$(this).find(".file-panel").animate({height:0},"fast");
//				});
//		    });
		
		    //销毁
			$del.on('click', 'span', function() {
				removeFile(id);
			});
		
			// 负责view的销毁
			function removeFile(id) {
				var $li = $('#' + id);
				//队列删除
//				uploader.removeFile(id, true);
				$li.off().find('.file-panel').off().end().remove();
			}
}

