var appPath = "YHHShoppingMallFore";
/**
 * 图片上传公共方法
 * 选择图片对应id    filePicker 
 * 图片存放div对象  fileListObj
 * 图片上传个数限制   1或者其他 
 * 图片宽度		  imgWidth;			
 * 图片高度    	  imgHeight 	
 * 服务器返回路径保存的隐藏input元素的对象 inputObj 
 */
function UploadImg(filePicker,fileListObj,imgNum,imgWidth,imgHeight) {
			//上传初始化
			var piker = '#'+filePicker+'';
			//上传初始化
			var uploader = WebUploader.create({
				auto: true,														//选完文件后，是否自动上传。
			    swf: 'plugs/webuploader/Uploader.swf',					//swf文件路径
			    server: appPath+'/UploadFile',	//文件接收服务端。
			    // 选择文件的按钮。可选。
			    pick: piker,											//内部根据当前运行是创建，可能是input元素，也可能是flash.
			    fileNumLimit: imgNum,		
			    //[可选] [默认值：undefined] 验证单个文件大小是否超出限制, 超出则不允许加入队列。
		        fileSizeLimit: 5*1024*1024,//5M  
		        fileSingleSizeLimit: 1*1024*1024, //1M  
			    accept: {														//只允许选择图片文件
			        title: 'Images',
			        extensions: 'gif,jpg,jpeg,bmp,png',
			        mimeTypes: 'image/*'
			    },
			    resize: false													//不压缩image, 默认如果是jpeg，文件上传前会压缩一把再上传！
			});
			
			uploader.on( 'beforeFileQueued', function( file ) {
				//个数限制
                //reconsole(_setting.fileNumLimit);
//				var bytes = parseInt( _setting.fileSingleSizeLimit, 10 ),//单张预设限制
//                	invalid = count + file.size > bytes,
//                	siglepass = file.size > bytes,
//                	currlength = $(_setting.fileList).find(".file-item").length;//当前个数
//                	
//                if(currlength >= _setting.fileNumLimit){
//                	layer.alert("最多上传"+_setting.fileNumLimit+"张");
//	    			return false;
//                }
//                	
//				if(bytes === 0){
//					bytesNum = "0 B";
//				}else{
//					var k = 1024, //1000 or 1024
//				        sizes = ['B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'],
//				        i = Math.floor(Math.log(bytes) / Math.log(k));
//				    bytesNum = (bytes / Math.pow(k, i)).toPrecision(3) + ' ' + sizes[i];
//				}
//                if(siglepass){
//	               	//reconsole(bytes);
//	    			layer.alert("单张图片最大"+bytesNum);
//	    			return false;
//                }
//                //总大小
				
				
				//新图片
				var newName=file.name;
				//队列内的图片
				var array = uploader.getFiles();
				var arrlength = array.length;
				for (var i=0;i<arrlength;i++){
					if (newName==array[i].name){
						layer.alert("不能上传相同图片",{icon:0});
						return false;
					}
				}
				
				
				
				
				
//				限制图片大小
				var maxSize=1*1024*1024;
				var fileSize = file.size;
				if (maxSize<fileSize){
					layer.alert("单张图片最大1M",{icon:0});
					return false;
				}
				
				
//				限制上传个数
				var max = imgNum;
				var nowNum = fileListObj.find(".file-item").size();
				if (nowNum>=max){
					layer.alert("最多上传"+max+"张",{icon:0});
					return false;
				}
				
            });
			
			
			
			// 当有文件添加进来的时候
			uploader.on( 'fileQueued', function( file ) {
			    var $li = $(
			            '<div id="' + file.id + '" class="file-item thumbnail">' +
			                '<img>' +
			               /* '<div class="info">' + file.name + '</div>' +*/
			            '</div>'
			            ),
			    	$del = $del = $('<div class="file-panel"><span class="cancel"></span></div>'),
			        $img = $li.find('img');
			
			
			    // $list为容器jQuery实例
			    $list = fileListObj;
			    $list.append( $li );
			    $del.appendTo( $li );
			    
			    
			    
			    //预览时操作面板显隐
			    $list.find(".file-item").each(function(){
			    	$(this).mouseenter(function(){
						$(this).find(".file-panel").animate({height:20},"fast");
					}).mouseleave(function(){
						$(this).find(".file-panel").animate({height:0},"fast");
					});
			    });
				
			    //销毁
				$del.on('click', 'span', function() {
					removeFile(file);
				});
				
				// 负责view的销毁
				function removeFile(file) {
					var $li = $('#' + file.id);
					uploader.removeFile(file, true);
					$li.off().find('.file-panel').off().end().remove();
				}
				
			
			    // 创建缩略图
			    // 如果为非图片文件，可以不用调用此方法。
			    // thumbnailWidth x thumbnailHeight 为 100 x 100
			    // 优化retina, 在retina下这个值是2
		        ratio = window.devicePixelRatio || 1,
		        thumbnailWidth = imgWidth * ratio,
		        thumbnailHeight = imgHeight * ratio,
			    
			    uploader.makeThumb( file, function( error, src ) {
			        if ( error ) {
			            $img.replaceWith('<span>不能预览</span>');
			            return;
			        }
			        $img.attr( 'src', src );
			    }, thumbnailWidth, thumbnailHeight );
		        
			});
			
			// 文件上传过程中创建进度条实时显示。
			uploader.on( 'uploadProgress', function( file, percentage ) {
			    var $li = $( '#'+file.id ),
			        $percent = $li.find('.progress span');
			
			    // 避免重复创建
			    if ( !$percent.length ) {
			        $percent = $('<p class="progress"><span></span></p>')
			                .appendTo( $li )
			                .find('span');
			    }
			
			    $percent.css( 'width', percentage * 100 + '%' );
			});
			
			// 文件上传成功，给item添加成功class, 用样式标记上传成功。
			uploader.on( 'uploadSuccess', function( file,json ) {
				var result = json._raw;
				uploadUrl=result.split(",")[1].replace(/\\/g,'/');
			    $( '#'+file.id ).addClass('upload-state-done');
				var html = "<input type='hidden' class='hidInput' val='"+uploadUrl+"'>";
				$( '#'+file.id ).append(html);
			});
			
			// 文件上传失败，显示上传出错。
			uploader.on( 'uploadError', function( file ) {
			    var $li = $( '#'+file.id ),
			        $error = $li.find('div.error');
			
			    // 避免重复创建
			    if ( !$error.length ) {
			        $error = $('<div class="error"></div>').appendTo( $li );
			    }
			
			    $error.text('上传失败');
			});
			
			// 完成上传完了，成功或者失败，先删除进度条。
			uploader.on( 'uploadComplete', function( file ) {
			    $( '#'+file.id ).find('.progress').remove();
			});
			
};
// 修改图片--参数  图片放置的DIV  图片SRC ID 图片宽width 图片高height

function updateImgs(fileListObj,src,id,imgWidth,imgHeight){
		/*var index = src.lastIndexOf("/");
		if (index>-1){
			var name = src.substr(index,src.length);
		}else{
			var name = "";
		}*/
		
	 var $li = $(
	            '<div id="' + id + '" class="file-item thumbnail">' +
	                '<img>' +
	                /*'<div class="info">' +name+ '</div>' +*/
	            '</div>'
	            ),
	    	$del = $('<div class="file-panel"><span class="cancel"></span></div>'),
	        $img = $li.find('img');
	 		$img.attr( 'src', src );
	 		$img.css({
	 			"width":imgWidth,
	 			"height":imgHeight
	 		});
	 		var $html =$("<input type='hidden' class='hidInput' val='"+src+"'>");
		    // $list为容器jQuery实例
		    $list = fileListObj;
		    $list.append( $li );
		    $del.appendTo( $li );
		    $html.appendTo($li);
		    //预览时操作面板显隐
		    $list.find(".file-item").each(function(){
		    	$(this).mouseenter(function(){
					$(this).find(".file-panel").animate({height:20},"fast");
				}).mouseleave(function(){
					$(this).find(".file-panel").animate({height:0},"fast");
				});
		    });
		
		    //销毁
			$del.on('click', 'span', function() {
				removeFile(id);
			});
		
			// 负责view的销毁
			function removeFile(id) {
				var $li = $('#' + id);
				//队列删除
//				uploader.removeFile(id, true);
				$li.off().find('.file-panel').off().end().remove();
			}
}

