(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			infos: {
				phone: "",
				password: "",
				cofirmPassword: "",
				imgCode: "",
				phoneCode: "",
				workCode: "",
				inviteCode: "",
				agentNo: "",
				type:""
			},
			phoneRead: false,
			agreement: false,
			codeValue: "点击获取",
			codeNum: 120,
			codeDisab: false,
			regDisab: true,
			key:Math.random() * 100
		},
		methods: {
			getPhoneCode: function() {
				NetUtil.ajax("appRegister/appGetRegisterCode.do", {
					mobile: app.infos.phone
				}, function(data) {
					if(data.resCode == 0) {
						mui.alert("短信发送成功！", function() {
							app.codeDisab = true;
							var timer = null;
							var t = app.codeNum;
							start();

							function start() {
								t--;
								timer = setTimeout(start, 1000);
								app.codeValue = t + "S";
								if(t <= 0) {
									app.codeValue = "重新获取";
									app.codeDisab = false;
									clearTimeout(timer);
								}
							}
						});
					} else {
						app.codeDisab = false;
						mui.alert(data.resDesc);
					}
				});
			},
			openArgee: function() {
				mui.openWindow({
					url: "../../web/LoginRegister/registerAgreement.html",
					id: 'registerAgreement.html',
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				})
			},
			regActive: function(event) {
				if(this.infos.phone && this.infos.password && this.infos.cofirmPassword && this.infos.phoneCode && this.infos.imgCode) {
					return false;
				} else {
					return true;
				}
			},
			goLogin:function(){
				mui.openWindow({
					url: "../../web/LoginRegister/login.html",
					id: 'login.html',
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				})
			},
			clPhone:function(){
				if(this.infos.phone != "" && this.infos.phone != undefined && this.infos.phone != null){
					NetUtil.ajax(
						"appRegister/getInvitationCodeByMobile.do", {
							mobile:this.infos.phone
						},
						function(data) {
							if(data.resCode == 0) {
								app.infos.inviteCode = data.data.invitationCode;
								app.infos.type = data.data.type;
							}
						}
					);
				}
			}
		},
		created: function(event) {
			/*
			 * 获取上个页面的电话号码
			 */
			/* var getphone = localStorage.getItem("toIndexPhoneNumber");
			if(getphone != "" && getphone != undefined && getphone != null) {
				this.infos.phone = getphone;
				this.phoneRead = true;
			}*/
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				/*
				 * 获取验证码
				 */
				function getYZM() {
					var top = document.getElementById("yzmImg");
					top.style['background-image'] = "url(../../resource/main/yzm.png)";
					top.style['background-image'] = "url(" + baseUrl + "authImage.do?v=" + app.key + ")";
				}
				getYZM();
				$j("#yzmImg").on("click", function() {
					getYZM();
				});
				/*
				 * 注册
				 */
				//登录验证+登录
				$j("#regForm").Validform({
					tiptype: function(msg, o, cssctl) {
						if(!(msg == "")) {
							mui.alert(msg);
						}
					}, //提示信息类型
					btnSubmit: ".nextStep",
					tipSweep: true,
					datatype: extdatatype, //扩展验证类型
					//showAllError:true,//提交前验证显示所有错误
					timeout: 1000,
					ajaxPost: true,
					beforeCheck: function() {},
					beforeSubmit: function() {
						var beinvitateCodeYZ = /^[0-9]{11}$/;
						if(!beinvitateCodeYZ.test(app.infos.inviteCode) && app.infos.inviteCode != "" && app.infos.inviteCode != null && app.infos.inviteCode != undefined) {
							mui.alert("请输入正确的邀请码！");
							return false;
						}
						if(app.agreement == false) {
							mui.alert("请同意注册协议");
							return false;
						}
						var subData = {
							personalPhone: app.infos.phone,
							checkCoede: app.infos.imgCode,
							phoneCheckCode: app.infos.phoneCode,
							memberPwd: hex_sha1(app.infos.password),
							confirmPassword: hex_sha1(app.infos.cofirmPassword),
							beinvitateCode: app.infos.inviteCode,
							agentNo: app.infos.agentNo,
							type:app.infos.type,
							key:app.key
						};
						NetUtil.ajax(
							"appRegister/appRegisterUser.do", subData,
							function(data) {
								console.log(data)
								if(data.resCode == 0) {
									mui.alert("注册成功", "注册", "去首页", function() {
										NetUtil.ajax("appLogin/login.do", {
											memberNameAccount: app.infos.phone,
											password: hex_sha1(app.infos.password)
										}, function(r) {
											if(r.resCode == 0) { //页面跳转
												localStorage.setItem("memberId", r.data.memberId);
												localStorage.setItem("token", r.data.token);
												localStorage.setItem("phoneNumber", app.infos.phone);
												mui.openWindow({
													url: "../main/tab-webview-main.html",
													id: "../main/tab-webview-main.html",
													styles: {
														popGesture: 'close',
														top: 0, //新页面顶部位置  
														bottom: 0 //新页面底部位置  
													},
													extras: {},
													createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
													show: {
														autoShow: true, //页面loaded事件发生后自动显示，默认为true
														aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
														duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
														event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
														extras: {} //窗口动画是否使用图片加速
													},
													waiting: {
														autoShow: true, //自动显示等待框，默认为true
														title: '加载中', //等待对话框上显示的提示内容
														options: {
															//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
															//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
														}
													}
												});
											} else {
												mui.alert(r.resDesc, "登录失败");
											}
										});
									});
								} else {
									mui.alert(data.resDesc);
								}
							}
						);
						return false;
					}
				});
			});
		}
	});
}());