(function() {
	var app = new Vue({
		el: '#app',
		data: {
			list: []
		},
		filters: {
			toFixed2: function(num) {
				var res = parseFloat(num).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			}
		},
		methods: {},
		created: function() {
			NetUtil.ajax(
				"bill/historyRecords.do", {
					pageNum: 1,
					pageSize: 1000
				},
				function(r) {
					console.log(JSON.stringify(r))
					if(r.data.length > 0) {
						app.list = r.data;
					}
				}
			);
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
				});
			});
		}
	});
}());