(function() {
	var app = new Vue({
		el: '#app',
		data: {
			name: "",
			sfz: "",
			photos: ""
		},
		methods: {},
		created: function() {},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
				});
				/*
				 * 查询
				 */
				var obj = GetRequest();
				$("input").attr("readonly", "readonly");
				NetUtil.ajax("personalcredit/queryBasics.do", {}, function(r) {
					if(r.resCode == 0) {
						app.name = r.data.name;
						app.sfz = r.data.iDNumber;
					} else {
						mui.alert("查询失败，请返回重试", function() {
							mui.back();
						});
					}
				});
				NetUtil.ajax("personalcredit/selectCertification.do", {}, function(r) {
					console.log(1);
					console.log(JSON.stringify(r));
					if(r.resCode == 0) {
						if(obj.isCertification == 1 || obj.certificationAttestStatu == 0 || obj.certificationAttestStatu == 1) {
							var ar = r.data.attestAttachs.split(";");
							console.log(JSON.stringify(ar));
							updateImgs($("#show1"), ar[0], "ch1", 14 * Rem, 9.8 * Rem);
							updateImgs($("#show2"), ar[1], "ch2", 14 * Rem, 9.8 * Rem);
							updateImgs($("#show3"), ar[2], "ch3", 14 * Rem, 9.8 * Rem);
							$(".apply_btn").remove();
						} else if(r.data != null) {
							var ar = r.data.attestAttachs.split(";");
							updateImgs($("#show1"), ar[0], "ch1", 14 * Rem, 9.8 * Rem);
							updateImgs($("#show2"), ar[1], "ch2", 14 * Rem, 9.8 * Rem);
							updateImgs($("#show3"), ar[2], "ch3", 14 * Rem, 9.8 * Rem);
							UploadImg("choose1", $("#show1"), 1, 14 * Rem, 9.8 * Rem);
							UploadImg("choose2", $("#show2"), 1, 14 * Rem, 9.8 * Rem);
							UploadImg("choose3", $("#show3"), 1, 14 * Rem, 9.8 * Rem);
						} else {
							UploadImg("choose1", $("#show1"), 1, 14 * Rem, 9.8 * Rem);
							UploadImg("choose2", $("#show2"), 1, 14 * Rem, 9.8 * Rem);
							UploadImg("choose3", $("#show3"), 1, 14 * Rem, 9.8 * Rem);
						}
					} else {
						mui.alert("查询失败，请返回重试", function() {
							mui.back();
						});
					}
				});
				/*
				 * 保存
				 */
				$("#subForm").Validform({
					tiptype: function(msg, o, cssctl) {
						if(!(msg == "")) {
							mui.alert(msg);
						}
					}, //提示信息类型
					btnSubmit: ".save_btn",
					tipSweep: true,
					datatype: extdatatype, //扩展验证类型
					//showAllError:true,//提交前验证显示所有错误
					timeout: 1000,
					ajaxPost: true,
					beforeCheck: function() {},
					beforeSubmit: function() {
						if($("#show1 .hidInput").length > 0) {
							app.photos += $("#show1 .hidInput").attr("value");
						} else {
							mui.alert("请上传身份证正面照片");
							return;
						}
						if($("#show2 .hidInput").length > 0) {
							app.photos += ";" + $("#show2 .hidInput").attr("value");
						} else {
							mui.alert("请上传身份证反面照片");
							return;
						}
						if($("#show3 .hidInput").length > 0) {
							app.photos += ";" + $("#show3 .hidInput").attr("value");
						} else {
							mui.alert("请上传手持身份证照片");
							return;
						}
						mui("#saveBtn").button('loading'); //切换为loading状态
						var appType = (plus.os.name == "iOS"?0:1);
						NetUtil.ajax("personalcredit/certification.do", {
							appType: appType,//0:ios,1:android
							name: app.name,
							personalIdNum: app.sfz,
							memberId:localStorage.memberId,
							attestAttachs: app.photos
						}, function(r) {
							mui("#saveBtn").button('reset'); //切换为reset状态(即重置为原始的button)
							if(r.resCode == 0) {
								mui.alert("实名认证成功", "实名认证", "返回", function() {
									mui.fire(plus.webview.getWebviewById("../limit/limit.html"), "quest", {});
									mui.fire(plus.webview.getWebviewById("../main/main.html"), "queryData", {});
									mui.back();
								});
							} else {
								mui.alert(r.resDesc);
							}
						});
					}
				});
			});
		}
	});
}());