(function() {
	var app = new Vue({
		el: '#app',
		data: {
			ensurePerId: "",
			name: "",
			sfzNum: "",
			photos: "",
			phone: "",
			address: "",
			photoZ: "",
			photoF: "",
			photoH: ""
		},
		methods: {},
		created: function() {},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
				});
				/*
				 * 查询
				 */
				var obj = GetRequest();
				if(obj.status==1){
					$("input").attr("readonly","readonly");
					$("#apply_btn").remove();
				}
				NetUtil.ajax("index/queryAccount.do", {}, function(r) {
					if(r.resCode == 0) {
						if(obj.isExistEnsurePer == 1) {
							var ensurePerInfo = r.data.ensurePerInfo;
							app.photoZ = ensurePerInfo.fullFacePhoto;
							app.photoF = ensurePerInfo.negativePhoto;
							app.photoH = ensurePerInfo.signPhoto;
							app.address = ensurePerInfo.address;
							app.phone = ensurePerInfo.phoneNo;
							app.sfzNum = ensurePerInfo.idNo;
							app.name = ensurePerInfo.ensurePerName;
							app.ensurePerId = ensurePerInfo.ensurePerId;
							updateImgs($("#show1"), app.photoZ, "ch1", 14 * Rem, 9.8 * Rem);
							updateImgs($("#show2"), app.photoF, "ch2", 14 * Rem, 9.8 * Rem);
							updateImgs($("#show3"), app.photoH, "ch3", 14 * Rem, 9.8 * Rem);
							UploadImg("choose1", $("#show1"), 1, 14 * Rem, 9.8 * Rem);
							UploadImg("choose2", $("#show2"), 1, 14 * Rem, 9.8 * Rem);
							UploadImg("choose3", $("#show3"), 1, 14 * Rem, 9.8 * Rem);
						} else {
							UploadImg("choose1", $("#show1"), 1, 14 * Rem, 9.8 * Rem);
							UploadImg("choose2", $("#show2"), 1, 14 * Rem, 9.8 * Rem);
							UploadImg("choose3", $("#show3"), 1, 14 * Rem, 9.8 * Rem);
						}
					} else {
						mui.alert("查询失败，请返回重试", function() {
							mui.back();
						});
					}
				});
				/*
				 * 保存
				 */
				$("#subForm").Validform({
					tiptype: function(msg, o, cssctl) {
						if(!(msg == "")) {
							mui.alert(msg);
						}
					}, //提示信息类型
					btnSubmit: ".save_btn",
					tipSweep: true,
					datatype: extdatatype, //扩展验证类型
					//showAllError:true,//提交前验证显示所有错误
					timeout: 1000,
					ajaxPost: true,
					beforeCheck: function() {},
					beforeSubmit: function() {
						if($("#show1 .hidInput").length > 0) {
							app.photoZ = $("#show1 .hidInput").attr("value");
						} else {
							mui.alert("请上传身份证正面照片");
							return;
						}
						if($("#show2 .hidInput").length > 0) {
							app.photoF = $("#show2 .hidInput").attr("value");
						} else {
							mui.alert("请上传身份证反面照片");
							return;
						}
						if($("#show3 .hidInput").length > 0) {
							app.photoH = $("#show3 .hidInput").attr("value");
						} else {
							mui.alert("请上传手持身份证照片");
							return;
						}

						var subData = {
							ensurePerName: app.name,
							idNo: app.sfzNum,
							phoneNo: app.phone,
							address: app.address,
							fullFacePhoto: app.photoZ,
							negativePhoto: app.photoF,
							signPhoto: app.photoH
						}
						if(app.ensurePerId!=""){
							subData.ensurePerId=app.ensurePerId;
						}
						mui("#saveBtn").button('loading'); //切换为loading状态
						NetUtil.ajax("personalcredit/saveLoanEnsurePerInfo.do", subData, function(r) {
							mui("#saveBtn").button('reset'); //切换为reset状态(即重置为原始的button)
							if(r.resCode == 0) {
								mui.alert("担保人认证已提交。", "担保人认证", "确定", function() {
									mui.fire(plus.webview.getWebviewById("loanApplication.html"), "queryData", {});
									mui.back();
								});
							} else {
								mui.alert(r.resDesc);
							}
						});
					}
				});
			});
		}
	});
}());