(function() {
	var $j = jQuery.noConflict(true);
	var loanDetailInfo = "";
	var app = new Vue({
			el: '#app',
			data: {
				agree: false,
				limitMoney: '', //额度
				loanMoney: '', //贷款金额
				loanRatea:'',//贷款利率
				countResult: "——", //每月还款金额
				loanLimit: "", //贷款期限
				loanLimitNum: "", //贷款期限数字
				serviceRate: "", //服务利率
				rate: "", //贷款利率
				isExistEnsurePer: "", //是否有担保人
				ensurePerId: "", //担保人ID
				
				loanTime:'周',
				loanTimeNum:'1',
				loanType:'先息后本',
				loanTypeNum:'2',
				interestFree:'',
				
				disabled:false,
				
				loanproductname:'',
				loanProductId:'',
				
				loanMoneryRate:'',
				monthMonery:'',
				lastLoanTIme:'',
				ifLoanType:'1',
				loanUses:'',
				oldVue:{
					oldLoanMoney:'',
					oldLoanLimit:'',
					oldLoanTimeNum:'',
					oldLoanTypeNum:'',
					oldLoanRatea:''
				}
		},
		methods: {
			guarantorInformation: function() {
				mui.openWindow({
					url: "guarantorInformation.html?isExistEnsurePer=" + app.isExistEnsurePer,
					id: 'guarantorInformation.html',
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				})
			},
			countCost: function() {
				if(Number(app.loanMoney) > Number(app.limitMoney)) {
					plus.nativeUI.closeToast();plus.nativeUI.toast("剩余额度不足,无法提交贷款申请！");
					app.countResult = "——";
				} else {
					if(app.loanMoney != "" && app.loanLimit != "") {
						NetUtil.ajax("index/getEstimateAmount.do", {
							productId: loanDetailInfo.productId,
							moneyNum: app.loanMoney,
							deadLine: app.loanTimeNum,
							deadLineType: app.loanTime,
							repayWay: app.loanTypeNum,
							loanRate: app.loanRatea
						}, function(r) {
							if(r.resCode == 0) {
								app.loanMoneryRate=r.data.corpusAndInterest;
								//app.monthMonery=Number(r.data.repayPer).toFixed(2);
								app.lastLoanTIme=r.data.repayMaxDate;
								app.monthMonery=Number(r.data.loanAmount).toFixed(2);
								app.ifLoanType=r.data.deadLineType;
							}else{
								plus.nativeUI.closeToast();plus.nativeUI.toast(r.resDesc);
							}
						});
					} else {
						app.countResult = "——";
					}
				}
			},
			sub: function() {
				if(this.agree) {
					if(this.loanMoney == "") {
						plus.nativeUI.closeToast();plus.nativeUI.toast("请输入贷款金额");
						return;
					}
					if(this.loanLimit == "") {
						plus.nativeUI.closeToast();plus.nativeUI.toast("请选择贷款期限");
						return;
					}
					if(this.loanMoney==''){
						plus.nativeUI.closeToast();plus.nativeUI.toast("请输入贷款金额");
						return;
					};
					if(this.loanLimit==''){
						plus.nativeUI.closeToast();plus.nativeUI.toast("请输入贷款期限");
						return;
					};
					if(this.loanType==''){
						plus.nativeUI.closeToast();plus.nativeUI.toast("请输入还款方式");
						return;
					};
					if(this.loanRatea==''){
						plus.nativeUI.closeToast();plus.nativeUI.toast("贷款利率不能为空");
						return;
					};
					//					if(this.isExistEnsurePer == 0) {
					//						plus.nativeUI.closeToast();plus.nativeUI.toast("请添加担保人信息");
					//						return;
					//					}
					if(Number(app.loanMoney) > Number(app.limitMoney)) {
						plus.nativeUI.closeToast();plus.nativeUI.toast("剩余额度不足,无法提交贷款申请！");
						return;
					}
					mui("#saveBtn").button('loading'); //切换为loading状态
					var subData = {
						memberId:localStorage.memberId,
						loanAmount: app.loanMoney,
						deadline: app.loanTimeNum,
						deadlineType: app.loanTime,  
						loanRate: app.loanRatea,
						productId: app.loanProductId,
						repayWay: app.loanTypeNum,
						loanUses: app.loanUses
					};
					NetUtil.ajax("index/insertLoanApply.do", subData, function(r) {
						mui("#saveBtn").button('reset'); //切换为reset状态(即重置为原始的button)
						if(r.resCode == 0) {
							mui.alert("借款申请已提交，请等待申请结果！", "贷款申请", function() {
								mui.fire(plus.webview.getWebviewById("../main/main.html"), "queryData", {});
								mui.back();
							});
						} else {
							mui.alert(r.resDesc, "贷款申请", function() {
								mui.fire(plus.webview.getWebviewById("../main/main.html"), "queryData", {});
								mui.back();
							});
						}
					});
				}
			},
			agreement: function() {
				mui.openWindow({
					url: "loanApplicationAgreement.html",
					id: 'guarantorInformation.html',
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				})
			},
			getEstimateAmount:function(){
				
				
			},
			urlArguments:function(name){
				var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
			    var r = window.location.search.substr(1).match(reg);
			    if(r!=null)return  decodeURIComponent(r[2]); return null;
			}
		},
		created: function() {
			this.loanproductname=this.urlArguments("loanproductname");
			this.loanProductId=this.urlArguments("loanProductId");
			/*每秒检查贷款。。。，计算贷款本息。。。*/
			/*setInterval(function(){
				if(app.oldVue.oldLoanMoney!=app.loanMoney||app.oldVue.oldLoanLimit!=app.loanLimit||app.oldVue.oldLoanTimeNum!=app.loanTimeNum||app.oldVue.oldLoanTypeNum!=app.loanTypeNum||app.oldVue.oldLoanRatea!=app.loanRatea){
					NetUtil.ajax("index/getEstimateAmount.do", {
						moneyNum:app.loanMoney,
						deadLine:app.loanTimeNum,
						deadLineType:app.loanTime,  
						repayWay:app.loanTypeNum,
						loanRate:app.loanRatea,
						productId:app.loanProductId
					}, function(r) {
						if(r.resCode == 0) {
							app.loanMoneryRate=r.data.corpusAndInterest;
							app.monthMonery=Number(r.data.repayPer).toFixed(2);
							app.lastLoanTIme=r.data.repayMaxDate;
							app.ifLoanType=r.data.deadLineType;
						}else{
							plus.nativeUI.closeToast();plus.nativeUI.toast(r.resDesc);
						}
					});
					app.oldVue.oldLoanMoney=app.loanMoney;
					app.oldVue.oldLoanLimit=app.loanLimit;
					app.oldVue.oldLoanTimeNum=app.loanTimeNum;
					app.oldVue.oldLoanTypeNum=app.loanTypeNum;
					app.oldVue.oldLoanRatea=app.loanRatea;
				};
			},1000);*/
			/*
			 * 请求首页数据
			 */
			function queryData() {
				NetUtil.ajax("index/queryAccount.do", {
					loanProductId: ""
				}, function(r) {
					//console.log(JSON.stringify(r))
					if(r.resCode == 0) {
						if(r.data.isExistEnsurePer == 1) {
							var ensurePerInfo = r.data.ensurePerInfo;
							app.ensurePerId = ensurePerInfo.ensurePerId;
						}
						app.isExistEnsurePer = r.data.isExistEnsurePer;
						var res = {
							limit: Number(r.data.data.memberCreditSurplus).toFixed(2),
							serviceRate: Number(r.data.data.loanfeerate).toFixed(2),
							rate: Number(r.data.data.loanRate).toFixed(2)
						};
						//额度---------
						if(res.limit > 0) { //有额度
							app.limitMoney = res.limit
						} else {
							app.limitMoney = "0";
						}
						//预估费用
						app.serviceRate = res.serviceRate / 100;
						app.rate = res.rate;
					}
				});
			}
			queryData();
			window.addEventListener("queryData", function() {
				console.log("刷新了");
				queryData();
			});
			
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				var userPicker = new mui.PopPicker();
				console.log(localStorage.loanDetailInfo);
				loanDetailInfo = JSON.parse(localStorage.loanDetailInfo);
				console.log(loanDetailInfo);
				var timePickerList = new Array();
				if(loanDetailInfo.minWeek != 0 && loanDetailInfo.maxWeek != 0){
					for(var i = loanDetailInfo.minWeek;i < loanDetailInfo.maxWeek;i++){
						timePickerList.push({
							value: "w"+i,
					 	   text: i+"个周"
				    	});
					}
				}
				if(loanDetailInfo.minMonth != 0 && loanDetailInfo.maxMonth != 0){
					for(var i = loanDetailInfo.minMonth;i < loanDetailInfo.maxMonth;i++){
						timePickerList.push({
							value: "m"+i,
					 	   text: i+"个月"
				    	});
					}
				}
				console.log(timePickerList);
				userPicker.setData(timePickerList);
				var showTimePickerButton = document.getElementById('showTimePicker1');
				var timeResult = document.getElementById('timeResult1');
				showTimePickerButton.addEventListener('tap', function(event) {
					userPicker.show(function(items) {
						app.loanLimit = items[0].text;
						app.loanTimeNum = Number(items[0].value.replace("m","").replace("w",""));
						app.loanTime = (items[0].value.indexOf("m") >= 0)?2:1;
						if(items[0].value.indexOf("m") >= 0){
							app.loanRatea = loanDetailInfo.minLoanRateMonth;
						}else{
							app.loanRatea = loanDetailInfo.minLoanRateWeek;
						}
						app.countCost();
					});
				}, false);
				
				
				//2222
				var userPicker1 = new mui.PopPicker();
				
				userPicker1.setData([{
					    value: "2",
					    text: "先息后本"
					}]);
					
				var showTimePickerButton1 = document.getElementById('showTimePicker2');
				var timeResult1 = document.getElementById('timeResult2');
				showTimePickerButton1.addEventListener('tap', function(event) {
					userPicker1.show(function(items) {
						timeResult1.value = items[0].text;
						app.loanTypeNum = items[0].value;
						app.loanType = items[0].text;
						app.countCost();
					});
				}, false);
				
				//666666
				var userPicker6 = new mui.PopPicker();
				
				userPicker6.setData([
					{
					    value: "数码产品",
					    text: "数码产品"
					},
					{
					    value: "购物旅游",
					    text: "购物旅游"
					},
					{
					    value: "装修",
					    text: "装修"
					},
					{
					    value: "资金周转",
					    text: "资金周转"
					},
				]);
					
				var showTimePickerButton6 = document.getElementById('showTimePicker6');
				var timeResult6 = document.getElementById('timeResult6');
				showTimePickerButton6.addEventListener('tap', function(event) {
					userPicker6.show(function(items) {
						timeResult6.value = items[0].text;
						app.loanUses = items[0].text;
					});
				}, false);
				
				//4444
				/*var userPicker4 = new mui.PopPicker();
				
				userPicker4.setData([{
					    value: "1",
					    text: "1-2"
					}, {
					    value: "2",
					    text: "5-6"
					}]);
					
				var showTimePickerButton4 = document.getElementById('showTimePicker4');
				var timeResult4 = document.getElementById('timeResult4');
				showTimePickerButton4.addEventListener('tap', function(event) {
					userPicker4.show(function(items) {
						timeResult4.value = items[0].text;
						app.loanLimitNum = items[0].value;
						app.loanLimit = items[0].text;
						app.countCost();
					});
				}, false);*/
			});
		}
});
}());