(function() {
	var $j = jQuery.noConflict(true);
	var vm = new Vue({
		el: '#app',
		data: {
			loanProductId:'',
			infos:'',
			limitMoney:''
		},
		methods: {
			loanApplication: function(loanproductname,loanProductId) {
				console.log("添加！");
				NetUtil.ajax("index/loanApplication.do", {
				}, function(r) {
					console.log("zz"+r)
					if(r.resCode == 0){
						console.log("rescode:0");
						mui.openWindow({
							url: "loanApplication.html?loanproductname=" + encodeURI(loanproductname)+"&loanProductId="+loanProductId,
							id: 'loanApplication.html',
							styles: {
								popGesture: 'close',
								top: 0, //新页面顶部位置  
								bottom: 0 //新页面底部位置  
							},
							extras: {},
							createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
							show: {
								autoShow: true, //页面loaded事件发生后自动显示，默认为true
								aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
								duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
								event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
								extras: {} //窗口动画是否使用图片加速
							},
							waiting: {
								autoShow: true, //自动显示等待框，默认为true
								title: '加载中', //等待对话框上显示的提示内容
								options: {
									//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
									//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
								}
							}
						})
					}else{
						mui.alert(r.resDesc);
					}
				});
			}
		},
		created: function() {
			this.loanProductId=window.location.search.substr(4);
			console.log(this.loanProductId);
			NetUtil.ajax("index/getProductInfoById.do", {
				loanProductId:this.loanProductId
			}, function(r) {
				console.log(r)
				vm.infos=r.data;
				var str = {
					maxWeek: Number(r.data.maxWeek),
					maxMonth: Number(r.data.maxMonth),
					minMonth: Number(r.data.minMonth),
					minWeek: Number(r.data.minWeek),
					minLoanRateWeek: Number(r.data.minLoanRateWeek),
					minLoanRateMonth: Number(r.data.minLoanRateMonth),
					productId:Number(r.data.loanproductid),
				};
				str = JSON.stringify(str);
				console.log(str);
				localStorage.setItem("loanDetailInfo",str);
			});
			/*
			 * 请求首页数据
			 */
			function queryData() {
				NetUtil.ajax("index/queryAccount.do", {
					loanProductId: ""
				}, function(r) {
					//console.log(JSON.stringify(r))
					if(r.resCode == 0) {
						var res = {
							limit: Number(r.data.data.memberCreditSurplus).toFixed(2),
							serviceRate: Number(r.data.data.loanfeerate).toFixed(2),
							rate: Number(r.data.data.loanRate).toFixed(2)
						};
						//额度---------
						if(res.limit > 0) { //有额度
							vm.limitMoney = res.limit
						} else {
							vm.limitMoney = "0";
						}
					}
				});
			}
			queryData();
			window.addEventListener("queryData", function() {
				console.log("刷新了");
				queryData();
			});
			
		},
		mounted: function() {
			
			$j(".mui-bar-transparent").on("alpha", function(evt) {
				var alpha = evt.detail.alpha;
				//当前获得标题栏透明度，而且是变化时触发
				if(alpha > 0.1) {
					$j(".mui-title").css('color','#000');
					$j(".mui-bar-transparent").css('background','#fff');
				}else{
					$j(".mui-title").css('color','#fff');
				}
			});
		},
		updated: function() {

		}
	});
}());