(function() {
	var $j = jQuery.noConflict(true);
	/*
	 * 请求首页数据
	 */
	function queryData() {
		NetUtil.ajax("index/queryAccount.do", {
			loanProductId: ""
		}, function(r) {
			if(r.resCode == 0) {
				var res = {
					notice: r.data.data.content,
					limit: Number(r.data.data.memberCreditSurplus).toFixed(0),
					serviceRate: Number(r.data.data.loanfeerate).toFixed(2),
					rate: Number(r.data.data.loanRate).toFixed(2)
				};
				//消息栏---------
				if(res.notice == "" || res.notice == null || res.notice == undefined) {
					vm.notice = "暂无";
				} else {
					//转义并去掉标签
					var oDiv = document.createElement("div");
					oDiv.innerHTML = res.notice;
					vm.notice = oDiv.innerText.replace(/<.*?>/ig, "");
				}
				//额度---------
				if(res.limit > 0) { //有额度
					vm.haveLimit = true;
					vm.limitMoney = res.limit;
					console.log(vm.limitMoney)
					vm.changeDate();
				} else {
					vm.haveLimit = false;
					vm.limitMoney = "暂无额度";
				}
				//预估费用
				vm.serviceRate = res.serviceRate;
				vm.rate = res.rate;
			}
		});
	}

	var vm = new Vue({
		el: '#app',
		data: {
			infos: '',
			notice: "", //公告
			haveLimit: false,
			limitMoney: '', //额度
			countResult: "", //预估费用
			loanLimit: "", //贷款期限
			serviceRate: "", //服务利率
			rate: "" //贷款利率
		},
		methods: {
			loanDetail: function(loanproductname,id) {
				function geo(){
					/*plus.geolocation.getCurrentPosition(function(r){
						if(r.address.city == "宁波市" || r.address.province == "安徽省"){
							mui.alert("对不起！我们暂时未对安徽省和宁波市以外的城市开通贷款服务。","嘟嘟钱包")
							return false;
						}else{*/
							NetUtil.ajax("index/getProductInfoById.do", {
								loanProductId: id
							}, function(re) {
								var str = {
									maxWeek: Number(re.data.maxWeek),
									maxMonth: Number(re.data.maxMonth),
									minMonth: Number(re.data.minMonth),
									minWeek: Number(re.data.minWeek),
									minLoanRateWeek: Number(re.data.minLoanRateWeek),
									minLoanRateMonth: Number(re.data.minLoanRateMonth),
									productId: Number(re.data.loanproductid),
								};
								str = JSON.stringify(str);
								console.log(str);
								localStorage.setItem("loanDetailInfo", str);
			
								NetUtil.ajax("index/loanApplication.do", {}, function(r) {
									console.log("zz" + r)
									if(r.resCode == 0) {
										console.log("rescode:0");
										mui.openWindow({
											url: "loanApplication.html?loanproductname=" + encodeURI(loanproductname) + "&loanProductId=" + id,
											id: 'loanApplication.html',
											styles: {
												popGesture: 'close',
												top: 0, //新页面顶部位置  
												bottom: 0 //新页面底部位置  
											},
											extras: {},
											createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
											show: {
												autoShow: true, //页面loaded事件发生后自动显示，默认为true
												aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
												duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
												event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
												extras: {} //窗口动画是否使用图片加速
											},
											waiting: {
												autoShow: true, //自动显示等待框，默认为true
												title: '加载中', //等待对话框上显示的提示内容
												options: {
													//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
													//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
												}
											}
										})
									} else {
										mui.alert(r.resDesc);
									}
								});
							});
					/*	}
						//document.getElementById("addresses").value=r.addresses.slice(0,12);
					}, function(){
						//document.getElementById("addresses").value="定位发生不知错误";
					}, {provider:'amap'});*/
				}
				function showPosition(position){
					if(plus){
						geo()
					}else{
						window.addEventListener("plusready",function(){
							geo();
						});
					}
				};
				showPosition();
			},
			applyLimit: function() {
				mui.fire(plus.webview.getWebviewById("../main/tab-webview-main.html"), "tolimit");
			},
			plat: function() {
				mui.openWindow({
					url: "../../web/mine/platformAnnouncement.html",
					id: '',
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				})
			},
			changeDate: function() {
				NetUtil.ajax("index/getEstimateAmount.do", {
					moneyNum: vm.limitMoney,
					loanTerm: vm.loanLimit
				}, function(r) {
					var countResult = 0;
					r.data.forEach(function(data) {
						countResult += parseFloat(data.interest);
					});
					vm.countResult = (countResult + vm.limitMoney / 100 * vm.serviceRate).toFixed(2);
				});
			}
		},
		created: function() {
			NetUtil.ajax("index/proInfo.do", {

			}, function(r) {
				console.log(r)
				vm.infos = r.data;
				console.log(vm.infos)
			});
		},
		mounted: function() {
			this.loanLimit = JSON.parse(localStorage.getItem("loanTimeLimit"))[0].value;
			queryData();

		},
		updated: function() {
			//移动
			var timer = $j(".notice span").width() * 30;

			function showNotice() {
				$j(".notice span").css({
					left: $j(".notice").width()
				});
				$j(".notice span").stop().animate({
					left: 0 - $j(".notice span").width()
				}, timer, 'linear', function() {
					showNotice();
				});
			}
			showNotice();
			var swiper = new Swiper('.swiper-container', {
				autoplay: 5000,
				pagination: '.swiper-pagination',
				paginationClickable: true
			});
		}
	});
	mui.init({
		statusBarBackground: "#fff"
	});
	mui.ready(function() {
		window.addEventListener("queryData", function() {
			console.log("刷新了");
			queryData();
		});
		//时间选择
		/*var userPicker = new mui.PopPicker();
		userPicker.setData(JSON.parse(localStorage.getItem("loanTimeLimit")));
		var showTimePickerButton = document.getElementById('showTimePicker');
		var timeResult = document.getElementById('timeResult');
		showTimePickerButton.addEventListener('tap', function(event) {
			userPicker.show(function(items) {
				vm.loanLimit = items[0].value;
				vm.changeDate();
			});
		}, false);*/
	});
}());