(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			list: []
		},
		filters: {
			toFixed2: function(num) {
				var res = parseFloat(num).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			}
		},
		methods: {},
		created: function() {},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
				});
				NetUtil.ajax(
					"personalcredit/accountDetail.do", {
						pageNum: 1,
						pageSize: 10000
					},
					function(r) {
						if(r.data.length > 0) {
							app.list = r.data;
						}
					}
				);
			});
		}
	});
}());