(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			list: []
		},
		filters: {
			toFixed0: function(num) {
				var res = parseFloat(num).toFixed(0).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			}
		},
		methods: {
			checkTicket: function(tid, amount) {
				/*
				 * 选择免息券并返回上一页：如果上一页为还款时返回并传参，否则阻止事件
				 */
				var req = GetRequest();
				if(req.select == "select") {
					mui.fire(plus.webview.getWebviewById("repayment.html"), "ticketSelected", {
						tid: tid,
						amount: amount
					});
					mui.back();
				} else if(req.select == "select1") {
					mui.fire(plus.webview.getWebviewById("prepayment.html"), "ticketSelected", {
						tid: tid,
						amount: amount
					});
					mui.back();
				} else {
					return;
				}
			}
		},
		created: function() {
			NetUtil.ajax("friend/tickets.do", {
				useStatu: 0,
				pageSize: 10000,
				pageNum: 1
			}, function(r) {
				app.list = r.data;
			});
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
				});
			});
		}
	});
}());