(function() {
	var $j = jQuery.noConflict(true);
	var shares = null;
	var app = new Vue({
		el: '#app',
		data: {
			inviteCode: "",
			infos:{
				phone:''
			}
		},
		methods: {
			openWindow: function(target, target2) {
				if(target2 == undefined) {
					target2 = target;
				}
				mui.openWindow({
					url: target,
					id: target2,
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			},
			shareWX: function() {
				var sharewx = shares['weixin'];
				var img = "_www/resource/LoginRegister/loginlogo.png";
				img = plus.io.convertLocalFileSystemURL(img);
				img = plus.io.convertAbsoluteFileSystem(img);
				sharewx.send({
					title: "嘟嘟钱包",
					content: "[嘟嘟钱包]我的邀请码是" + app.inviteCode,
					href: "http://47.104.17.88/RSD/share.html?invitecode=" + app.inviteCode+"&type=0",
					thumbs: [img],
					pictures: [img],
					extra: {
						scene: "WXSceneSession"
					}
				}, function() {
					mui.alert("分享成功");
				}, function(e) {
					mui.alert("已取消分享");
				});
			},
			shareQQ: function() {
				var shareqq = shares['qq'];
				var img = "_www/resource/LoginRegister/loginlogo.png";
				img = plus.io.convertLocalFileSystemURL(img);
				img = plus.io.convertAbsoluteFileSystem(img);
				shareqq.send({
					title: "嘟嘟钱包",
					content: "[嘟嘟钱包]我的邀请码是" + app.inviteCode,
					href: "http://47.104.17.88/RSD/share.html?invitecode=" + app.inviteCode+"&type=0",
					thumbs: [img],
					pictures: [img],
					extra: {}
				}, function() {
					mui.alert("分享成功");
				}, function(e) {
					mui.alert("已取消分享");
				});
			},
			shareWB: function() {
				var sharewb = shares['sinaweibo'];
				var img = "_www/resource/LoginRegister/loginlogo.png";
				img = plus.io.convertLocalFileSystemURL(img);
				img = plus.io.convertAbsoluteFileSystem(img);
				sharewb.send({
					title: "嘟嘟钱包",
					content: "[嘟嘟钱包]请用浏览器打开此链接 http://192.168.2.55:8020/duduqianbao/share.html",
					href: "http://47.104.17.88/RSD/share.html?invitecode=" + app.inviteCode+"&type=0",
					thumbs: [img],
					pictures: [img]
				}, function() {
					mui.alert("分享成功");
				}, function(e) {
					mui.alert("已取消分享");
				});
			},
			toinviteRecord: function() {
				app.openWindow("friendRecord.html");
			},
			toTicket: function() {
				app.openWindow("freeTickets.html");
			}
		},
		created: function() {
			NetUtil.ajax("friend/invitCode.do", {}, function(r) {
				app.inviteCode = r.data;
			});
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				
			});
			// 监听plusready事件  
			document.addEventListener("plusready", function() {
				plus.share.getServices(function(s) {
					shares = {};
					for(var i in s) {
						var t = s[i];
						shares[t.id] = t;
					}
				}, function(e) {
					outSet('获取分享服务列表失败：' + e.message);
				});
			}, false);
		}
	});
}());